Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
StringIO Struct Reference

## Data Fields
VALUE | string
long | pos
long | lineno
int | flags
int | count

## Detailed Description

Definition at line 23 of file stringio.c.

## Field Documentation

int StringIO::count

Definition at line 28 of file stringio.c.

Referenced by strio_alloc(), strio_copy(), and strio_free().

int StringIO::flags

Definition at line 27 of file stringio.c.

Referenced by strio_alloc(), strio_finalize(), strio_init(), strio_putc(), strio_set_string(), and strio_write().

long StringIO::lineno

Definition at line 26 of file stringio.c.

Referenced by strio_alloc(), strio_get_lineno(), strio_getline(), strio_init(), strio_rewind(), strio_set_lineno(), and strio_set_string().

long StringIO::pos

Definition at line 25 of file stringio.c.

Referenced by strio_alloc(), strio_each_byte(), strio_each_codepoint(), strio_eof(), strio_get_pos(), strio_getbyte(), strio_getc(), strio_getline(), strio_init(), strio_putc(), strio_read(), strio_rewind(), strio_seek(), strio_set_pos(), strio_set_string(), strio_substr(), strio_ungetbyte(), strio_ungetc(), and strio_write().

VALUE StringIO::string

Definition at line 24 of file stringio.c.

Referenced by check_modifiable(), strio_alloc(), strio_each_byte(), strio_each_codepoint(), strio_eof(), strio_extend(), strio_finalize(), strio_getbyte(), strio_getc(), strio_getline(), strio_init(), strio_mark(), strio_putc(), strio_read(), strio_seek(), strio_set_string(), strio_substr(), strio_truncate(), strio_ungetbyte(), strio_ungetc(), strio_write(), and writable().

The documentation for this struct was generated from the following file:

- ext/stringio/stringio.c